==========================================================================
Ubuntu Security Notice USN-6620-1
February 01, 2024

glibc vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.10

Summary:

GNU C Library could be made to crash or run programs as an administrator
if it handled a specially crafted request.

Software Description:
- glibc: GNU C Library

Details:

It was discovered that the GNU C Library incorrectly handled the syslog()
function call. A local attacker could use this issue to execute arbitrary
code and possibly escalate privileges.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.10:
   libc6                           2.38-1ubuntu6.1

After a standard system update you need to reboot your computer to make all
the necessary changes.

References:
   https://ubuntu.com/security/notices/USN-6620-1
   CVE-2023-6246, CVE-2023-6779, CVE-2023-6780

Package Information:
   https://launchpad.net/ubuntu/+source/glibc/2.38-1ubuntu6.1

Ubuntu 6620-1: GNU C Library vulnerabilities

February 1, 2024
GNU C Library could be made to crash or run programs as an administrator if it handled a specially crafted request.

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 23.10 Summary: GNU C Library could be made to crash or run programs as an administrator if it handled a specially crafted request. Software Description: - glibc: GNU C Library Details: It was discovered that the GNU C Library incorrectly handled the syslog() function call. A local attacker could use this issue to execute arbitrary code and possibly escalate privileges.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 23.10: libc6 2.38-1ubuntu6.1 After a standard system update you need to reboot your computer to make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-6620-1

CVE-2023-6246, CVE-2023-6779, CVE-2023-6780

Severity
Ubuntu Security Notice USN-6620-1

Package Information

https://launchpad.net/ubuntu/+source/glibc/2.38-1ubuntu6.1

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo